Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Default_Factory Class Reference

A generic factory for EC experimentation. More...

`#include <EC_Default_Factory.h>`

Inheritance diagram for TAO_EC_Default_Factory

[legend]
Collaboration diagram for TAO_EC_Default_Factory:

[legend]
List of all members.

## Public Methods
| TAO_EC_Default_Factory (void)
| Constructor.
virtual | ~TAO_EC_Default_Factory (void)
| destructor...
virtual int | init (int argc, char* argv[])
virtual int | fini (void)
virtual TAO_EC_Dispatching* | create_dispatching (TAO_EC_Event_Channel*)
| Create and destroy the dispatching module.
virtual void | destroy_dispatching (TAO_EC_Dispatching*)
virtual TAO_EC_Filter_Builder* | create_filter_builder (TAO_EC_Event_Channel*)
| Create and destroy the filter builder.
virtual void | destroy_filter_builder (TAO_EC_Filter_Builder*)
virtual TAO_EC_Supplier_Filter_Builder* | create_supplier_filter_builder (TAO_EC_Event_Channel*)
| Create and destroy the filter builder.
virtual void | destroy_supplier_filter_builder (TAO_EC_Supplier_Filter_Builder*)
virtual TAO_EC_ConsumerAdmin* | create_consumer_admin (TAO_EC_Event_Channel*)
| Create and destroy the consumer admin implementation.
virtual void | destroy_consumer_admin (TAO_EC_ConsumerAdmin*)
virtual TAO_EC_SupplierAdmin* | create_supplier_admin (TAO_EC_Event_Channel*)
| Create and destroy the supplier admin implementation.
virtual void | destroy_supplier_admin (TAO_EC_SupplierAdmin*)
virtual TAO_EC_ProxyPushSupplier* | create_proxy_push_supplier (TAO_EC_Event_Channel*)
| Create and destroy a ProxyPushSupplier.
virtual void | destroy_proxy_push_supplier (TAO_EC_ProxyPushSupplier*)
virtual TAO_EC_ProxyPushConsumer* | create_proxy_push_consumer (TAO_EC_Event_Channel*)
| Create and destroy a ProxyPushConsumer.
virtual void | destroy_proxy_push_consumer (TAO_EC_ProxyPushConsumer*)
virtual TAO_EC_Timeout_Generator* | create_timeout_generator (TAO_EC_Event_Channel*)
| Create and destroy the timer module.
virtual void | destroy_timeout_generator (TAO_EC_Timeout_Generator*)
virtual TAO_EC_ObserverStrategy* | create_observer_strategy (TAO_EC_Event_Channel*)
| Create and destroy the observer strategy.
virtual void | destroy_observer_strategy (TAO_EC_ObserverStrategy*)
virtual TAO_EC_Scheduling_Strategy* | create_scheduling_strategy (TAO_EC_Event_Channel*)
| Create and destroy the observer strategy.
virtual void | destroy_scheduling_strategy (TAO_EC_Scheduling_Strategy*)
virtual TAO_EC_ProxyPushConsumer_Collection* | create_proxy_push_consumer_collection (TAO_EC_Event_Channel*)
| Create and destroy a collection of TAO_EC_ProxyPushConsumers.
virtual void | destroy_proxy_push_consumer_collection (TAO_EC_ProxyPushConsumer_Collection*)
virtual TAO_EC_ProxyPushSupplier_Collection* | create_proxy_push_supplier_collection (TAO_EC_Event_Channel*)
| Create and destroy a collection of TAO_EC_ProxyPushSuppliers.
virtual void | destroy_proxy_push_supplier_collection (TAO_EC_ProxyPushSupplier_Collection*)
virtual ACE_Lock* | create_consumer_lock (void)
| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers.
virtual void | destroy_consumer_lock (ACE_Lock*)
virtual ACE_Lock* | create_supplier_lock (void)
virtual void | destroy_supplier_lock (ACE_Lock*)
virtual TAO_EC_ConsumerControl* | create_consumer_control (TAO_EC_Event_Channel*)
| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers.
virtual void | destroy_consumer_control (TAO_EC_ConsumerControl*)
virtual TAO_EC_SupplierControl* | create_supplier_control (TAO_EC_Event_Channel*)
virtual void | destroy_supplier_control (TAO_EC_SupplierControl*)
## Static Public Methods
int | init_svcs (void)
| Helper function to register the default factory into the service configurator.
## Protected Attributes
int | dispatching_
| Several flags to control the kind of object created.
int | filtering_
int | supplier_filtering_
int | timeout_
int | observer_
int | scheduling_
int | consumer_collection_
int | supplier_collection_
int | consumer_lock_
int | supplier_lock_
int | dispatching_threads_
| The MT dispatching priority has several arguments that could be controlled here...
int | dispatching_threads_flags_
int | dispatching_threads_priority_
int | dispatching_threads_force_active_
ACE_CString | orbid_
| Use this ORB to locate global resources.
int | consumer_control_
| The consumer and supplier control policies.
int | supplier_control_
int | consumer_control_period_
| The consumer and supplier control periods in usecs.
int | supplier_control_period_

## Detailed Description

A generic factory for EC experimentation.

This class allows the user to experiment with different EC configurations. Using a command-line like interface the user can specify which strategies will this factory generate. Since the class can be dynamically loaded the strategies can be set in the service configurator file.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Default_Factory::TAO_EC_Default_Factory ( | void )

| Constructor.

TAO_EC_Default_Factory::~TAO_EC_Default_Factory ( | void )`[inline, virtual]`

| destructor...

## Member Function Documentation

TAO_EC_ConsumerAdmin * TAO_EC_Default_Factory::create_consumer_admin ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the consumer admin implementation. Reimplemented from TAO_EC_Factory.

TAO_EC_ConsumerControl * TAO_EC_Default_Factory::create_consumer_control ( | TAO_EC_Event_Channel * ec )`[virtual]`

| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers. Reimplemented from TAO_EC_Factory.

ACE_Lock * TAO_EC_Default_Factory::create_consumer_lock ( | void )`[virtual]`

| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers. Reimplemented from TAO_EC_Factory.

TAO_EC_Dispatching * TAO_EC_Default_Factory::create_dispatching ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the dispatching module. Reimplemented from TAO_EC_Factory. Reimplemented in TAO_EC_Sched_Factory.

TAO_EC_Filter_Builder * TAO_EC_Default_Factory::create_filter_builder ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the filter builder. Reimplemented from TAO_EC_Factory. Reimplemented in TAO_EC_Sched_Factory.

TAO_EC_ObserverStrategy * TAO_EC_Default_Factory::create_observer_strategy ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the observer strategy. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushConsumer * TAO_EC_Default_Factory::create_proxy_push_consumer ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy a ProxyPushConsumer. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushConsumer_Collection * TAO_EC_Default_Factory::create_proxy_push_consumer_collection ( | TAO_EC_Event_Channel * )`[virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushConsumers. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushSupplier * TAO_EC_Default_Factory::create_proxy_push_supplier ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy a ProxyPushSupplier. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushSupplier_Collection * TAO_EC_Default_Factory::create_proxy_push_supplier_collection ( | TAO_EC_Event_Channel * )`[virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushSuppliers. Reimplemented from TAO_EC_Factory.

TAO_EC_Scheduling_Strategy * TAO_EC_Default_Factory::create_scheduling_strategy ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the observer strategy. Reimplemented from TAO_EC_Factory. Reimplemented in TAO_EC_Sched_Factory.

TAO_EC_SupplierAdmin * TAO_EC_Default_Factory::create_supplier_admin ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the supplier admin implementation. Reimplemented from TAO_EC_Factory.

TAO_EC_SupplierControl * TAO_EC_Default_Factory::create_supplier_control ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Reimplemented from TAO_EC_Factory.

TAO_EC_Supplier_Filter_Builder * TAO_EC_Default_Factory::create_supplier_filter_builder ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the filter builder. Reimplemented from TAO_EC_Factory.

ACE_Lock * TAO_EC_Default_Factory::create_supplier_lock ( | void )`[virtual]`

| Reimplemented from TAO_EC_Factory.

TAO_EC_Timeout_Generator * TAO_EC_Default_Factory::create_timeout_generator ( | TAO_EC_Event_Channel * ec )`[virtual]`

| Create and destroy the timer module. Reimplemented from TAO_EC_Factory. Reimplemented in TAO_EC_Sched_Factory.

void TAO_EC_Default_Factory::destroy_consumer_admin ( | TAO_EC_ConsumerAdmin * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_consumer_control ( | TAO_EC_ConsumerControl * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_consumer_lock ( | ACE_Lock * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_dispatching ( | TAO_EC_Dispatching * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_filter_builder ( | TAO_EC_Filter_Builder * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_observer_strategy ( | TAO_EC_ObserverStrategy * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_proxy_push_consumer ( | TAO_EC_ProxyPushConsumer * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_proxy_push_consumer_collection ( | TAO_EC_ProxyPushConsumer_Collection * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_proxy_push_supplier ( | TAO_EC_ProxyPushSupplier * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_proxy_push_supplier_collection ( | TAO_EC_ProxyPushSupplier_Collection * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_scheduling_strategy ( | TAO_EC_Scheduling_Strategy * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_supplier_admin ( | TAO_EC_SupplierAdmin * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_supplier_control ( | TAO_EC_SupplierControl * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_supplier_filter_builder ( | TAO_EC_Supplier_Filter_Builder * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_supplier_lock ( | ACE_Lock * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Default_Factory::destroy_timeout_generator ( | TAO_EC_Timeout_Generator * x )`[virtual]`

| Reimplemented from TAO_EC_Factory.

int TAO_EC_Default_Factory::fini ( | void )`[virtual]`

| Reimplemented from ACE_Shared_Object. Reimplemented in TAO_EC_Sched_Factory.

int TAO_EC_Default_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

| Reimplemented in TAO_EC_Sched_Factory.

int TAO_EC_Default_Factory::init_svcs ( | void )`[static]`

| Helper function to register the default factory into the service configurator.

## Member Data Documentation

int TAO_EC_Default_Factory::consumer_collection_`[protected]`

int TAO_EC_Default_Factory::consumer_control_`[protected]`

| The consumer and supplier control policies.

int TAO_EC_Default_Factory::consumer_control_period_`[protected]`

| The consumer and supplier control periods in usecs.

int TAO_EC_Default_Factory::consumer_lock_`[protected]`

int TAO_EC_Default_Factory::dispatching_`[protected]`

| Several flags to control the kind of object created.

int TAO_EC_Default_Factory::dispatching_threads_`[protected]`

| The MT dispatching priority has several arguments that could be controlled here...

int TAO_EC_Default_Factory::dispatching_threads_flags_`[protected]`

int TAO_EC_Default_Factory::dispatching_threads_force_active_`[protected]`

int TAO_EC_Default_Factory::dispatching_threads_priority_`[protected]`

int TAO_EC_Default_Factory::filtering_`[protected]`

int TAO_EC_Default_Factory::observer_`[protected]`

ACE_CString TAO_EC_Default_Factory::orbid_`[protected]`

| Use this ORB to locate global resources.

int TAO_EC_Default_Factory::scheduling_`[protected]`

int TAO_EC_Default_Factory::supplier_collection_`[protected]`

int TAO_EC_Default_Factory::supplier_control_`[protected]`

int TAO_EC_Default_Factory::supplier_control_period_`[protected]`

int TAO_EC_Default_Factory::supplier_filtering_`[protected]`

int TAO_EC_Default_Factory::supplier_lock_`[protected]`

int TAO_EC_Default_Factory::timeout_`[protected]`

The documentation for this class was generated from the following files:

- EC_Default_Factory.h
- EC_Default_Factory.cpp
- EC_Default_Factory.i